<?php

// Resource routes  for testing
Route::group(['prefix' => set_route_guard('web').'/test'], function () {
    Route::put('testing/workflow/{example}/{step}', 'TestingWorkflowController@putWorkflow');
    Route::get('testing/workflow/{example}/{step}/{user}', 'TestingWorkflowController@getWorkflow');
    Route::resource('testing', 'TestingResourceController');
});

// Public  routes for testing
Route::get('testing/workflow/{testing}/{step}/{user}', 'TestingController@getWorkflow');
Route::get('testing/popular/{period?}', 'TestingPublicController@popular');
Route::get('tests/', 'TestingPublicController@index');
Route::get('tests/{slug?}', 'TestingPublicController@show');

