<?php

namespace Me\Test\Repositories\Eloquent;

use Me\Test\Interfaces\TestingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class TestingRepository extends BaseRepository implements TestingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('me.test.testing.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('me.test.testing.model.model');
    }
}
